.error {
    padding-top: 60px;
    min-height: var(--safe-area);
}

.errorWrapper {
    display: flex;
    flex-direction: column;
    padding: 32px 40px 20px;
    background-color: #FFFFFF;
    border-radius: 12px;
    box-shadow: var(--shadow-small);
    max-width: 600px;
    margin: 0 auto;
    border: 1px solid #DDD;
}

.errorImage {
    width: 160px;
    margin: 0 auto 16px auto;
}

.errorTitle {
    font-weight: 700;
    text-align: center;
    font-size: 30px;
    color: var(--color-green);
    margin: 0 0 12px 0;
    font-family: 'Eames Century Modern', sans-serif;
}

.errorText {
    text-align: center;
    margin: 0 0 20px 0;
    color: var(--text-secondary);
    font-size: 16px;
}

.errorSubtitle {
    font-size: 18px;
    font-weight: 600;
    text-align: center;
    margin: 0 0 20px 0;
    color: var(--text-primary);
}

.errorActions {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.errorButtonGoToHome, .errorButtonReportIssue {
    width: 100%;
}

.errorButtonCopyEventId {
    display: flex;
    align-items: center;
    gap: 6px;
    background: var(--color-green);
    color: #fff;
    border: none;
    padding: 6px 12px;
    cursor: pointer;
    border-radius: 4px;
    margin: 20px auto 0 auto;
}

.errorButtonCopyEventId .material-symbols-outlined {
    font-size: 14px;
    transform: translateY(-1px);
}

.errorDetails {
    border-top: 1px solid #ddd;
    padding-top: 20px;
    margin-top: 32px;
}

.errorDetailsTitle {
    color: #000;
    font-size: 14px;
    max-width: 300px;
    margin: 0 auto 16px auto;
    font-weight: 500;
    text-align: center;
}

.errorDetailsItems {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
}

.errorDetailsItemsItem {
    font-size: 14px;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 4px;
}

.errorDetailsItemsItem code {
    background-color: #f3f3f3;
    color: var(--color-green);
    padding: 2px 4px;
}

@media (max-width: 768px) {
    .error {
        padding: 40px 20px 20px 20px;
    }

    .errorWrapper {
        padding: 20px;
    }
}